Subject: Re: bug#38187: 27.0.50; No mouse-wheel scaling on images

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 18 Nov 2019 10:10:37 +0100

Juri Linkov <[email-masked]> writes:

> Zooming text and images together would be nice too, but I meant
> something much simpler - zooming images in image-mode with mouse-wheel.
>
> In image-mode currently ‘+’ is bound to the command ‘image-increase-size’,
> the same command could be bound to ‘<C-mouse-4>’ (C-wheel-up) as well.
> Same for ‘-’ (image-decrease-size) and ‘<C-mouse-5>’ (C-wheel-down).

Right.  I think that's an obvious thing to put in `image-map' to make it
easier to change the size of a single image.

(It's not just in image-mode -- that map is on all images inserted by
`insert-image'.)

I don't have a mouse myself, so it'd be nice if somebody with one
created a patch so that they could test it.  image-map is in image.el.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no